List Redirects
curl --request GET \
--url https://api.launchmystore.io/api/v1/redirects \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"redirects": [
{
"id": "redir_001",
"path": "/old-product",
"target": "/products/new-product",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "redir_002",
"path": "/sale",
"target": "/collections/clearance",
"created_at": "2024-01-10T08:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 23
}
}
}
Redirects
List Redirects
Get all URL redirects
GET
/
api
/
v1
/
redirects
List Redirects
curl --request GET \
--url https://api.launchmystore.io/api/v1/redirects \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"redirects": [
{
"id": "redir_001",
"path": "/old-product",
"target": "/products/new-product",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "redir_002",
"path": "/sale",
"target": "/collections/clearance",
"created_at": "2024-01-10T08:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 23
}
}
}
Query Parameters
Page number
Items per page
Response
{
"success": true,
"data": {
"redirects": [
{
"id": "redir_001",
"path": "/old-product",
"target": "/products/new-product",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "redir_002",
"path": "/sale",
"target": "/collections/clearance",
"created_at": "2024-01-10T08:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 23
}
}
}
⌘I